package com.xty.base.vm

import androidx.lifecycle.MutableLiveData
import com.xty.network.model.PrevBean
import com.xty.network.model.RespBody

class RichVm: BaseVm() {


    val timeTaskLive by lazy { MutableLiveData<String>() }
    val prevLive by lazy{MutableLiveData<RespBody<PrevBean>>()}
    //1:用户协议 2:管家协议 3:隐私协议v
    fun getPrev(type:Int){
        startHttp {
            var response=apiInterface().getPrev(type)
            response.getCodeStatus(prevLive,nowData)
        }
    }
}